# RustDesk Self-Hosted Admin Interface (kostenlose Version)

Dieses Webinterface wurde speziell für die kostenlose Self-Hosted Variante von **RustDesk** entwickelt. Es bietet eine komfortable Möglichkeit, den Status deiner verbundenen Geräte zu überwachen, Aliase zu setzen, Notizen zu speichern und Logs direkt im Browser einzusehen.

## Features

- 📋 Anzeige der verbundenen Clients inkl. Online-/Offline-Status (visuell mit grün/rot)
- 🌐 Anzeige der letzten bekannten IP & letzter Relay-Zeitpunkt
- ✍️ Aliasvergabe und Notizen für jeden Client
- 🔑 Öffentlicher Schlüssel + IP-Adresse des Servers
- 📄 Anzeige der letzten Log-Zeilen aus hbbr.log
- 🔒 Geschützt durch Login (Benutzername/Passwort)
- 🌐 Direktlink zu offiziellen RustDesk Downloads und Webseite

## Anforderungen

- PHP 7.4 oder neuer
- Apache oder Nginx mit aktiviertem PHP
- Zugriff auf:
  - `/var/log/rustdesk-server/hbbr.log`
  - `/var/lib/rustdesk-server/db_v2.sqlite3`
  - `/var/lib/rustdesk-server/id_ed25519.pub`

## Installation

1. Entpacke das ZIP in ein Verzeichnis deines Webservers (z. B. `/var/www/html/rustdesk-dashboard`)
2. Passe bei Bedarf Benutzername/Passwort in der `index.php` an
3. Rufe das Interface im Browser auf und melde dich an
4. Optional: plane das Bash-Skript für IP-Tracking via Cronjob ein (nur falls verwendet)

## Hinweise
- Dieses Interface arbeitet vollständig unabhängig von der kostenpflichtigen RustDesk Pro-Version.
- Alle Daten verbleiben auf deinem Server.

---

© 2025 Daniel Mattick – [matdan.de](https://matdan.de) | [portfolio.matdan.de](https://portfolio.matdan.de)
